# NOTE! Volume "conduit-db" and network "conduit-network" must be created before running "docker-compose up".
# They can be created with the following commands: "docker volume create conduit-db" and "docker network create conduit-network".

version: '3.3'

services:
  mongo:
    image: mongo
    container_name: mongo-cont
    ports:
      - "27017:27017"
    volumes:
      - conduit-db:/data/db
    restart: always

  backend:
    depends_on:
      - mongo
    image: gitlab.labranet.jamk.fi:4567/te-team1/conduit-backend:latest
    container_name: takakontti
    ports:
      - "8080:3000"
    restart: always
    environment:
      MONGODB_URI: mongodb://mongo-cont/conduitdb
      SECRET: kiasdasdfffdeedda

  frontend:
    image: gitlab.labranet.jamk.fi:4567/te-team1/conduit-frontend:latest
    container_name: fronttikontti
    ports:
      - "4100:4100"
    restart: always
    environment:
      REACT_APP_API_ROOT: https://corporation.devopskoulutus.net/api

volumes:
  conduit-db:
    external: true

networks:
  default:
    external:
      name: conduit-network